Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTII.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTII.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTII.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTII ;WOIFO/GEK - RETURN IMAGE INFO ; [ 11/08/2001 17:18 ]
- ;;3.0;IMAGING;**8,48,63,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8,48,63**;Apr 11, 2005
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -40,19 +40,15 @@
  ; $P(19^20)   Patient DFN  ^ Patient Name; // Patch 3.8
  ; $P(21)          Image Class: Clin,Admin,Clin/Admin,Admin/Clin
- ; $p(22)      Date Time Image Saved(FLD 7)
- ; $p(23)      Document Date    (FLD 110)
  ;
  N FILETYPE,MAGPREF,MAGJBCP,GRPTYPE,GRPIEN,ABSTYPE,MAGTYPE,MAGJBOL
  N MAGOFFLN,FULLTYPE,MAGOBJT,MAGQI,X
  N ABSFILE,FULLFILE,BIGFILE,PATCH,MDFN,FNL,PLC,PLCODE
- N MAGN0,MAGN2,MAGN40,MAGN100
+ N MAGN0,MAGN2,MAGN40
  ;    set the Variables for the Global Nodes of the Image Entry
- S MAGN0=$G(^MAG(2005,MAGXX,0))
- S MDFN=$P(MAGN0,"^",7)
+ S MAGN0=$G(^MAG(2005,MAGXX,0)),MDFN=$P(MAGN0,"^",7) ; P48T1 MDFN
  S MAGN2=$G(^MAG(2005,MAGXX,2))
  S MAGN40=$G(^MAG(2005,MAGXX,40))
- S MAGN100=$G(^MAG(2005,MAGXX,100))
- ; Set Name in Variable, Call $$GET 1 time not 2000
- I MDFN I '$D(MAGJOB("PTNM",MDFN)) S MAGJOB("PTNM",MDFN)=$$GET1^DIQ(2,MDFN_",",.01)
+ ; P48T1 Set Name in Variable, Call $$GET 1 time not 2000
+ I '$D(MAGJOB("PTNM",MDFN)) S MAGJOB("PTNM",MDFN)=$$GET1^DIQ(2,MDFN_",",.01)
  I '$D(MAGJOB("NETPLC")) D NETPLCS^MAGGTU6
  ;  Object Type
@@ -119,5 +115,4 @@
  S PLC=$P($G(MAGJOB("NETPLC",FNL)),"^",1)
  S PLCODE=$P($G(MAGJOB("NETPLC",FNL)),"^",2)
- I PLC="" S PLC=$G(MAGJOB("PLC")),PLCODE=$G(MAGJOB("PLCODE")) ; Group of 0 need this.
  ;   if we were using first image of a group, reset the Real IEN 
  I $G(GRPIEN) S MAGXX=GRPIEN
@@ -135,9 +130,8 @@
  K MAGFILE
  S $P(MAGFILE,U,25)="" ; We put extra '^^^' on end of String to stop error in Delphi.
- ; Pieces 26 BrokerServer and 27 Broker Port are set if this is P59 Client.
- ; Clients Prior to Patch 59, the String must only be 25 pieces. - Patch 45 snafu
- ; 
+ ;
  ; $P(1^2^3) IEN^Image FullPath and name^Abstract FullPath and Name 
  S $P(MAGFILE,U,1,3)=MAGXX_U_FULLFILE_U_ABSFILE
+ S $P(MAGFILE,U,18)=BIGFILE
  ;
  ; now set $P(4) SHORT DESCRIPTION field and desc of offline JukeBox
@@ -156,6 +150,6 @@
  ;  the delphi TStringGrid so we display mm/dd/yyyy
  ; now set $P(8) display date
- S X=$$FMTE^XLFDT($P(MAGN2,U,5),"5Z")
- S X=$TR(X,"@"," ")
+ S X=$P($P(MAGN2,"^",5),".",1)
+ I X'="" S X=$E(X,4,5)_"/"_$E(X,6,7)_"/"_($E(X,1,3)+1700)
  S $P(MAGFILE,U,8)=X
  ;
@@ -174,5 +168,5 @@
  ;    $p(12) and $p(13)
  ;
- ; 14 - count of images , if this is a group
+ ; lets add the count of images , if this is a group
  S X=+$P($G(^MAG(2005,MAGXX,1,0)),U,4),$P(MAGFILE,U,14)=$S(X:X,1:1)
  ;
@@ -191,23 +185,13 @@
  . ;Send the error message
  . S $P(MAGFILE,U,17)=$P(MAGQI(0),U,2)
- ; $p(18) is BIGFile Full name and path.
- S $P(MAGFILE,U,18)=BIGFILE
- ; DFN
- S $P(MAGFILE,U,19)=$P(MAGN0,U,7)
- ; Patient Name
- S $P(MAGFILE,U,20)=$S(MDFN:MAGJOB("PTNM",MDFN),1:MDFN)
+ ; $p(18) is BIGFile Full name and path. ( set above)
+ ; Patches prior to 8, only had 17 pieces of data. this will speed up their listings.
+ ; Patch 8 had New M rtn MAGSIXG1, if it doesn't exist, this is PRE - 8.
+ I '$L($T(PGI^MAGSIXG1)) Q
+ S $P(MAGFILE,U,19)=$P(MAGN0,U,7)                         ; DFN
+ ; P48T1 The change to speed up access to large groups left out patient name.
+ ;S $P(MAGFILE,U,20)=$$GET1^DIQ(2,$P(MAGN0,U,7)_",",.01)   ; Patient Name
+ S $P(MAGFILE,U,20)=MAGJOB("PTNM",MDFN)
  S $P(MAGFILE,U,21)=$S(+$P(MAGN40,U,2):$P(^MAG(2005.82,$P(MAGN40,U,2),0),U),1:"")
- S X=$$FMTE^XLFDT($P(MAGN2,U,1),"5Z") ; Date/Time Image Saved  #7
- S X=$TR(X,"@"," ")
- S $P(MAGFILE,U,22)=X
- S X=$$FMTE^XLFDT($P(MAGN100,U,6),"5Z")   ; DocumentDate #110
- S X=$TR(X,"@"," ")
- S $P(MAGFILE,U,23)=X
- ; If Patch 59 Client - we can set beyond 25 pieces.
- I $D(MAGJOB("RPCSERVER"))&$D(MAGJOB("RPCPORT")) D
- . S $P(MAGFILE,U,26)=MAGJOB("RPCSERVER")
- . S $P(MAGFILE,U,27)=MAGJOB("RPCPORT")
- . S $P(MAGFILE,U,28)="" ; "^" at end, stops problems in delphi
- . Q
  ; Stop displaying a Group of 1 as a Group, so here we'll change Object type
  ;  to that of the '1ST' image in the group of 1.
@@ -217,4 +201,4 @@
  . S $P(MAGFILE,U,6)=$P(^MAG(2005,X,0),U,6) ; OBJECT TYPE OF 1ST IMAGE IN GROUP
  . S $P(MAGFILE,U,1)=X
- . Q
+ . ; Need Site and Site code of 
  Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTLB1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTLB1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTLB1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTLB1 ;WOIFO/LB - RPC routine for Imaging Lab Interface ; [ 06/20/2001 08:56 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -118,4 +118,3 @@
  I $D(DIERR) S MAGRY="0^Unsuccessful both files not updated." K DIERR Q
  S MAGRY="1^Success in filing both parent & image files." K DIERR
- D LINKDT^MAGGTU6(.X,+MAGIEN)
  Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTMC1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTMC1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTMC1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTMC1 ;WOIFO/GEK - RPC Calls for Imaging/Medicine procedures ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -28,5 +27,5 @@
  IF $$NEWERR^%ZTER N $ETRAP,$ESTACK S $ETRAP="D ERR^MAGGTERR"
  E  S X="ERR^MAGGTERR",@^%ZOSF("TRAP")
- N I,J,K,X,Y,Z,TIME,PSIEN,DFN,MAGPTR,MAGMCIEN,MCFILE,MAGOK,MAGERR,PROCSTUB
+ N I,J,K,X,Y,Z,TIME,PSIEN,DFN,MAGPTR,MAGMCIEN,MCFILE,MAGOK,MAGERR
  ;
  S X=$P(DATA,U,1),%DT="TS" D ^%DT S TIME=Y
@@ -55,5 +54,4 @@
  S I="" F  S I=$O(MAGPTR(I)) Q:I=""  D
  . S $P(^MAG(2005,I,2),U,6,8)=MAGPTR(I)
- . D LINKDT^MAGGTU6(.X,I)
  S MAGRY=MAGOK
  Q
@@ -64,5 +62,5 @@
  ;  DATA is    null  ^ PSIEN ^ DFN ^ MCIEN ^ null
  ; 
- N TMCFILE,TPSIEN,TDFN,TMCIEN,RETX
+ N TMCFILE,TPSIEN,TDFN,TMCIEN
  S TPSIEN=+$P(DATA,U,2)
  S TDFN=+$P(DATA,U,3)
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTPT1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTPT1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTPT1.m	(revision 636)
@@ -1,4 +1,4 @@
 MAGGTPT1 ;WOIFO/GEK - Delphi-Broker calls for patient lookup and information ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**16,8,92,46,59**;Nov 27, 2007;Build 20
+ ;;3.0;IMAGING;**16,8,92**;Jan 10, 2007;Build 1
  ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
@@ -23,5 +23,5 @@
  ; MAGRY is the Array to return.
  ; ZY is parameter sent by calling app (Delphi)
- ;    FILE NUM ^ NUM TO RETURN ^ TEXT TO MATCH ^  ^ SCREEN ($P 5-99)
+ ;     NUM TO RETURN ^ TEXT TO MATCH ^  ^ ^ SCREEN ($P 5-99)
  N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
  ;
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTRA.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTRA.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTRA.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTRA ;WOIFO/GEK - RPC Call to list Patient's Rad/Nuc Exams, Reports ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -40,6 +40,6 @@
  ;  MAGIEN is Image File IEN ^MAG(2005,IEN
  ;
- N Y,I,CT,MAGERR,DIQUIET
- N RADFN,RADTI,RACNI,RANME,RASSN,RADATE,RADTE,RACN,RAPRC,RARPT,RAST,MAGGP
+ N Y,I,CT,MAGERR
+ N RADFN,RADTI,RACNI,RANME,RASSN,RADATE,RADTE,RACN,RAPRC,RARPT,RAST
  IF $$NEWERR^%ZTER N $ETRAP,$ESTACK S $ETRAP="D ERR^MAGGTERR"
  E  S X="ERR^MAGGTERR",@^%ZOSF("TRAP")
@@ -72,4 +72,3 @@
  ; DONE.
  S MAGRY="1^Image pointer filed successfully"
- D LINKDT^MAGGTU6(.X,MAGIEN)
  Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSR.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTSR.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSR.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTSR ;WOIFO/GEK - SURGERY CASE LIST ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -18,60 +17,25 @@
  ;;
  Q
-GET(MAGRY,MAGDFN,DATA) ;RPC [MAGGSUR GET]
+GET(MAGRY,MAGDFN) ;RPC [MAGGSUR GET]
  ; Call to get list of Patient Surgery procedures
- ;  MAGDFN       =       Patient DFN
- ;  DATA         =       For Future Use.
- N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
- N Y,NAME,AI,CASES,SDAT,DTX,SRFDA
- K ^TMP($J,"MAGGTSR")
- S NAME=$P($G(^DPT(MAGDFN,0)),U) I NAME="" S MAGRY(0)="0^INVALID Patient ID" Q
- ; This is the Old Call we have always made.  Doesn't have Non-OR
+ ; MAGDFN is Patient DFN
+ ;
+ IF $$NEWERR^%ZTER N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
+ E  S X="ERRA^MAGGTERR",@^%ZOSF("TRAP")
+ N Y,DFN,MAGNAME
+ S MAGNAME=$P($G(^DPT(MAGDFN,0)),U)
+ I MAGNAME="" S MAGGRY(0)="0^INVALID Patient ID" Q
  D GET^SROGTSR(.MAGRY,MAGDFN)
- I 'MAGRY(0) S MAGRY(0)=MAGRY(0)_" for "_NAME G C1
- ; Image count is for future use by Display
- S MAGRY(1)="#^Date^Case description^Case #^Images"
+ I 'MAGRY(0) S MAGRY(0)=MAGRY(0)_" for "_MAGNAME Q
+ ; Here we are changing the data returned in the array, from SROGTSR
+ ; , it will now also return the count of images associated with the 
+ ; surgery report.  This is in advance of the change for Display, to 
+ ; list the patient's surgery reports, like we list radiology reports.
+ ;
+ I (+$G(MAGJOB("VERSION"))<2.5) Q
+ S MAGRY(1)=$P(MAGRY(1),U,1,3)_"^Images"
  S I=1 F  S I=$O(MAGRY(I)) Q:'I  D
- . S DTX=$$FMTE^XLFDT($P(MAGRY(I),U,5),"5MZ")
- . S ^TMP($J,"MAGGTSR",$P(MAGRY(I),U,5),$P(MAGRY(I),U,4))=DTX_"^"_$P(MAGRY(I),U,3)_"^"_$P(MAGRY(I),"^",4)_"^"_$P(MAGRY(I),U,6)_U_"|"_$P(MAGRY(I),U,4,5)_U
- ;
- ;This is the New Call, which has Non-OR, but doesn't have (Scheduled) so we merge the two calls.
-C1 D LIST^SROESTV(.CASES,MAGDFN)
- I '$D(@CASES)  G E1
- S MAGRY(0)="1^"
- S MAGRY(1)="#^Date^Case description^Case #^Images"
- S I=0 F  S I=$O(@CASES@(I)) Q:'I  D
- . S SDAT=@CASES@(I)
- . ; SDAT = SURIEN  ^ SURDESC  ^ SURDT ^ DFN;NAME ^ 
- . I $D(^TMP($J,"MAGGTSR",$P(SDAT,U,3),$P(SDAT,U,1))) Q
- . S ^TMP($J,"MAGGTSR",$P(SDAT,U,3),$P(SDAT,U,1))=$$FMTE^XLFDT($P(SDAT,U,3),"5MZ")_U_$P(SDAT,U,2)_U_$P(SDAT,U,1)_U_$$IMGCT($P(SDAT,U,1))_U_"|"_$P(SDAT,U,1)_U_$P(SDAT,U,3)_U
- . Q
- ;
- ; Now Returned the Merged List of the results of Old Call, with Results of New Call.
-E1 ;
- I '$D(^TMP($J,"MAGGTSR")) S MAGRY(0)="0^No Cases for "_$G(NAME) Q
- S I=1,DTX=0,SRFDA=0
- F  S DTX=$O(^TMP($J,"MAGGTSR",DTX)) Q:'DTX  D
- . S SRFDA="" F  S SRFDA=$O(^TMP($J,"MAGGTSR",DTX,SRFDA),-1) Q:'SRFDA  D
- . . S I=I+1,MAGRY(I)=I-1_"^"_^TMP($J,"MAGGTSR",DTX,SRFDA)
- . . Q
- . Q
- S $P(MAGRY(0),"^",1)=I-1
+ . S MAGRY(I)=$P(MAGRY(I),U,1,3)_U_$P(MAGRY(I),U,6)_U_$C(124)_$P(MAGRY(I),U,4,5)_U
  Q
-IMGCT(SRFIEN) ;
- ;  Count of images for this Surgery Case
- ;  If more than one group (or image) 
- ;  then return "Group count : total images"  i.e.   "3:134"
- ;  else return count of Images i.e. "4"
- ;
- N CT,GCT,ICT,J
- S J=0,CT=0,GCT=0
- F  S J=$O(^SRF(SRFIEN,2005,"B",J)) Q:'J  D
- . S ICT=+$P($G(^MAG(2005,J,1,0)),U,4)
- . S ICT=$S(ICT:ICT,1:1) ;If no group images, set count =1 (single image)
- . S GCT=GCT+1
- . S CT=CT+ICT
- I (GCT>1) Q GCT_":"_CT
- Q CT
- ;       
 IMAGE(MAGRY,DATA) ;
  ;  Called with the IEN of the Surgery package ^SRF(170,x
@@ -87,14 +51,14 @@
  ; We'll make a tmp list of just the image IEN's
  ;  splitting groups into individual image entries.
- K ^TMP($J,"MAGGX")
+ K ^TMP("MAGGX",$J)
  S I=0,CT=1 F  S I=$O(^SRF(SRFIEN,2005,I)) Q:'I  D
  . S MAGIEN=$P(^SRF(SRFIEN,2005,I,0),U,1)
  . Q:'$D(^MAG(2005,MAGIEN,0))
- . I '$O(^MAG(2005,MAGIEN,1,0)) S ^TMP($J,"MAGGX",MAGIEN)=""
- . E  S Z=0 F  S Z=$O(^MAG(2005,MAGIEN,1,Z)) Q:Z=""  S ^TMP($J,"MAGGX",$P(^MAG(2005,MAGIEN,1,Z,0),U,1))=""
- I '$D(^TMP($J,"MAGGX")) S MAGRY(0)="0^Surgery File Entry "_SRFIEN_": has INVALID Image Pointers" Q
+ . I '$O(^MAG(2005,MAGIEN,1,0)) S ^TMP("MAGGX",$J,MAGIEN)=""
+ . E  S Z=0 F  S Z=$O(^MAG(2005,MAGIEN,1,Z)) Q:Z=""  S ^TMP("MAGGX",$J,$P(^MAG(2005,MAGIEN,1,Z,0),U,1))=""
+ I '$D(^TMP("MAGGX",$J)) S MAGRY(0)="0^Surgery File Entry "_SRFIEN_": has INVALID Image Pointers" Q
  S Z="",CT=0
  S MAGQUIET=1
- F  S Z=$O(^TMP($J,"MAGGX",Z)) Q:Z=""  D
+ F  S Z=$O(^TMP("MAGGX",$J,Z)) Q:Z=""  D
  . S CT=CT+1,MAGXX=Z D INFO^MAGGTII
  . S MAGRY(CT)="B2^"_MAGFILE
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSR1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTSR1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSR1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTSR1 ;WOIFO/GEK - ADD IMAGES TO SURGERY FILE ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -48,5 +47,4 @@
  S MAGRY="1^Image added to Surgery Package"
  S $P(^MAG(2005,MAGIEN,2),U,6,8)="130^"_MAGSIEN_U_MAGIENS(1)
- D LINKDT^MAGGTU6(.X,MAGIEN)
  Q
 RTRNERR(ETXT) ; There was error from UPDATE^DIE quit with error text
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSY2.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTSY2.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSY2.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTSY2 ;WOIFO/GEK - Calls from Imaging windows for System Manager ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -17,34 +17,14 @@
  ;;
  Q
-MAG(MAGRY,NODE) ;RPC Call to show node of Image File
- ;  NODE is the IEN of Image File :  ^MAG(2005,NODE
- N Y,I,CT,X,TNODE
+MAG(MAGRY,NODE) ; RPC Call for MAGSYS utility. Returns Global Node.
+ N CT,I,X,Y
  S MAGRY=$NA(^TMP("MAGNODE",$J))
- S NODE=$G(NODE)
- N I,CT,X
+ S NODE=+$G(NODE)
+ I 'NODE S NODE=$P(^MAG(2005,0),U,3)
  K @MAGRY
- S @MAGRY@(0)="Display NODE: "_$S($L(NODE):NODE,1:"LAST")
+ ;S @MAGRY@(0)="Display Imaging File NODE "_$S(NODE:NODE,1:"LAST")
  S I=0,CT=0
- I $E(NODE)="^" G OTH
- I 'NODE S NODE=$P(^MAG(2005,0),U,3)
  S I="^MAG(2005,"_NODE_","""")"
  F  S X=$Q(@I) S I=X Q:$P(X,",",2)'=NODE  D
  . S CT=CT+1,@MAGRY@(CT)=X_" "_@X
- . Q
- I $P($G(^MAG(2005,NODE,2)),"^",6)="8925" D
- . S CT=CT+1,@MAGRY@(CT)="   *******   TIU    ******* "
- . S TNODE=$P(^MAG(2005,NODE,2),"^",7)
- . S I="^TIU(8925,"_TNODE_","""")"
- . F  S X=$Q(@I) S I=X Q:$P(X,",",2)'=TNODE  D
- . . S CT=CT+1,@MAGRY@(CT)=X_" "_@X
- . . Q
  Q
-OTH ;
- N OTHDA
- S OTHDA=$P(NODE,",",2)
- I OTHDA=0 S NODE=NODE_")" Q:'$D(@NODE)  S CT=$O(@MAGRY@(""),-1)+1,@MAGRY@(CT)=$G(@(NODE)) Q
- S I=NODE_","""")"
- F  S X=$Q(@I) S I=X Q:$P(X,",",2)'=OTHDA  D
- . S CT=$O(@MAGRY@(""),-1)+1,@MAGRY@(CT)=X_" "_@X
- . Q
- Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSYS.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTSYS.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTSYS.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTSYS ;WOIFO/GEK - Calls from Imaging windows for System Manager ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;;Mar 01, 2002
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -17,50 +17,41 @@
  ;;
  Q
-GETS(MAGRY,NODE,FLAGS) ; USE GETS^DIQ TO GET FIELD VALUES.
- K MAGWIN,I,CT,Y,NC,MAGOUT,MAGERR,TNC,ZZ
+MAG(MAGRY,NODE) ;RPC Call to show node of Image File
+ ;  NODE is the IEN of Image File :  ^MAG(2005,NODE
+ N Y
  S MAGRY=$NA(^TMP("MAGNODE",$J))
  S NODE=+$G(NODE)
  I 'NODE S NODE=$P(^MAG(2005,0),U,3)
+ N MAGWIN,I,CT,X
  S MAGWIN=$$BROKER^XWBLIB
+ K @MAGRY
+ ;S @MAGRY@(0)="Display Imaging File NODE "_$S(NODE:NODE,1:"LAST")
+ S I=0,CT=0
  I 'MAGWIN W !,"NODE","  ",NODE
+ S I="^MAG(2005,"_NODE_","""")"
+ F  S X=$Q(@I) S I=X Q:$P(X,",",2)'=NODE  D
+ . S CT=CT+1,@MAGRY@(CT)=X_" "_@X
+ . I 'MAGWIN W !,X," ",@X
+ ;
+ Q
+GETS(MAGRY,NODE,FLAGS) ; USE GETS^DIQ TO GET FIELD VALUES.
+ N Y
+ S MAGRY=$NA(^TMP("MAGNODE",$J))
+ S NODE=+$G(NODE)
+ I 'NODE S NODE=$P(^MAG(2005,0),U,3)
+ N MAGWIN,I,CT
+ S MAGWIN=$$BROKER^XWBLIB
  K @MAGRY
- S @MAGRY@(0)="******    Fields for Image IEN: "_NODE_"    ******"
+ S @MAGRY@(0)="Fields for Image IEN: "_NODE
  S I=0,CT=0
+ I 'MAGWIN W !,"NODE","  ",NODE
+ N MAGOUT,MAGERR
  S FLAGS=$S($L($G(FLAGS)):FLAGS,1:"IERN")
  D GETS^DIQ(2005,NODE,"*",FLAGS,"MAGOUT","MAGERR")
  ;D GETS^DIQ(2005,NODE,".01;1;2;2.1;2.2;3;5;6;12","R","MAGOUT","MAGERR")
- S NC=NODE_","
- S I="" F  S I=$O(MAGOUT(2005,NC,I)) Q:I=""  D
+ S NNODE=NODE_","
+ S I="" F  S I=$O(MAGOUT(2005,NNODE,I)) Q:I=""  D
  . S CT=CT+1
- . I $G(MAGOUT(2005,NC,I,"I"))=$G(MAGOUT(2005,NC,I,"E")) D  Q
- . . S ZZ=I,$E(ZZ,45,999)=" = "_$G(MAGOUT(2005,NC,I,"E"))
- . . S @MAGRY@(CT)=ZZ
- . . ;S @MAGRY@(CT)=I_" = "_MAGOUT(2005,NC,I,"E") Q
- . . Q
- . ;
- . S ZZ=I,$E(ZZ,25,999)=" = ("_$G(MAGOUT(2005,NC,I,"I"))_") "
- . I ($L(ZZ)>44) S ZZ=ZZ_" = "_$G(MAGOUT(2005,NC,I,"E")) S @MAGRY@(CT)=ZZ Q
- . I ($L(ZZ)<45) S $E(ZZ,45,999)=" = "_$G(MAGOUT(2005,NC,I,"E")) S @MAGRY@(CT)=ZZ Q
- . ;S @MAGRY@(CT)=I_" = ("_$G(MAGOUT(2005,NC,I,"I"))_") = "_$G(MAGOUT(2005,NC,I,"E"))
- . Q
- I $P($G(^MAG(2005,NODE,2)),"^",6)=8925 D
- . K MAGOUT,MAGERR
- . S CT=CT+1,@MAGRY@(CT)="   ***************   TIU    *************** "
- . S CT=CT+1,@MAGRY@(CT)="   **** Field Values for TIUDA: "_$P(^MAG(2005,NODE,2),"^",7)_"  ****"
- . D GETS^DIQ(8925,$P(^MAG(2005,NODE,2),"^",7),"*",FLAGS,"MAGOUT","MAGERR")
- . S NC=$P(^MAG(2005,NODE,2),"^",7)_","
- . S I="" F  S I=$O(MAGOUT(8925,NC,I)) Q:I=""  D
- . . S CT=CT+1
- . . I $G(MAGOUT(8925,NC,I,"I"))=$G(MAGOUT(8925,NC,I,"E")) D  Q
- . . . S ZZ=I,$E(ZZ,45,999)=" = "_$G(MAGOUT(8925,NC,I,"E"))
- . . . S @MAGRY@(CT)=ZZ
- . . . ;S @MAGRY@(CT)=I_" = "_MAGOUT(2005,NC,I,"E") Q
- . . . Q
- . . ;
- . . S ZZ=I,$E(ZZ,25,999)=" = ("_$G(MAGOUT(8925,NC,I,"I"))_") "
- . . I ($L(ZZ)>44) S ZZ=ZZ_" = "_$G(MAGOUT(8925,NC,I,"E")) S @MAGRY@(CT)=ZZ Q
- . . I ($L(ZZ)<45) S $E(ZZ,45,999)=" = "_$G(MAGOUT(8925,NC,I,"E")) S @MAGRY@(CT)=ZZ Q
- . . ;S @MAGRY@(CT)=I_" = ("_$G(MAGOUT(2005,NC,I,"I"))_") = "_$G(MAGOUT(2005,NC,I,"E"))
- . . Q
- . Q
+ . I $G(MAGOUT(2005,NNODE,I,"I"))=$G(MAGOUT(2005,NNODE,I,"E")) S @MAGRY@(CT)=I_" = "_MAGOUT(2005,NNODE,I,"E") Q
+ . S @MAGRY@(CT)=I_" = ("_$G(MAGOUT(2005,NNODE,I,"I"))_") = "_$G(MAGOUT(2005,NNODE,I,"E"))
  Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTU1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTU1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTU1.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGTU1 ;WOIFO/GEK - Silent Utilities ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**3,8,85,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**3,8,85**;16-March-2007;;Build 1039
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,5 +9,4 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
- ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTU3.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTU3.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTU3.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGTU3 ;WOIFO/GEK - Silent calls for Imaging ; [ 06/20/2001 08:57 ]
- ;;3.0;IMAGING;**7,8,48,45,20,46,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,8,48,45,20,46**;16-February-2007;;Build 1023
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -18,6 +18,6 @@
  Q
 IMAGEINF(MAGRY,IEN,NOCHK) ;RPC [MAGG IMAGE INFO] Call to return information for 1 image;
- ; IEN   =       Image IEN  ^MAG(2005,IEN
- ; NOCHK =    1|""   if 1 then do not run QA check on this image.
+ ; IEN   =       Image IEN ^MAG(2005,IEN
+ ; NOCHK =   If Flag = 1, then do not run QA check on this image.
  ; 
  N MAGFILE,Y,Z,MAGNOCHK
@@ -66,10 +66,10 @@
  ; NOW NET STUFF
  I 'MAGPLC Q 
- ; From IMAGING SITE PARAMETERS File
- ;   get the Network UserName and PassWord.
+ ; Get info from IMAGING SITE PARAMETERS File
+ ; get the Network UserName and PassWord.
  S MAGRY(2)=$P($G(^MAG(2006.1,MAGPLC,"NET")),U,1,2)
- ;   get the default MUSE Site number.
+ ; get the default MUSE Site number.
  S MAGRY(3)=+$P($G(^MAG(2006.1,MAGPLC,"USERPREF")),U,2)
- ;   default to 1 if nothing is entered in Site Parameters File
+ ; default to 1 if nothing is entered in Site Parameters File
  I MAGRY(3)=0 S MAGRY(3)=1
  ; This SITEIEN^SITECODE^USER INSTITUTION IEN^INSTITUTION NAME^CONSOLIDATED^User's local STATION NUMBER
@@ -80,6 +80,6 @@
  S MAGJOB("PLCODE")=$$GET1^DIQ(2006.1,MAGPLC,.09)
  S MAGRY(4)=MAGRY(4)_U_$$CONSOLID^MAGBAPI_U_$$GET1^DIQ(4,DUZ(2),99,"E")
- ; is CP not installed at this site, the Client will hide options
- ;  related to CP.
+ ; is CP installed at this site, the Front End will hide options
+ ;  related to CP if not installed.
  S X=$$VERSION^XPDUTL("CLINICAL PROCEDURES")
  S MAGRY(5)=+X_U_X
@@ -158,6 +158,63 @@
  Q
 GETINFO(MAGRY,IEN) ; RPC [MAG4 GET IMAGE INFO]
- ; Call (3.0p8) to get information on 1 image 
- ; and Display in the Image Information Window
- D GETINFO^MAGGTU31(.MAGRY,IEN)
- Q
+ ; Call (3.0p8) to get information on 1 image
+ N Y,J,JI,I,CT,IENC,FLAGS,SNGRP,Z,M40,T,QACHK
+ S I=0,CT=0
+ S MAGRY(CT)="Image ID#:      "_IEN
+ I $D(^MAG(2005.1,IEN)) D  Q
+ . S CT=CT+1,MAGRY(CT)="    STATUS:  "_"HAS BEEN DELETED. !!"
+ . S CT=CT+1,MAGRY(CT)="Deleted By: "_$$GET1^DIQ(2005.1,IEN,30,"E")
+ . S CT=CT+1,MAGRY(CT)="    Reason: "_$$GET1^DIQ(2005.1,IEN,30.2,"E")
+ . S CT=CT+1,MAGRY(CT)="      Date: "_$$GET1^DIQ(2005.1,IEN,30.1,"E")
+ . Q
+ S M40=$G(^MAG(2005,IEN,40)),T=$P(M40,"^",3)
+ S Z=$P($G(^MAG(2005,IEN,0)),"^",10) I Z D
+ . S CT=CT+1,MAGRY(CT)=" is in Group#: "_Z_"  ("_+$P(^MAG(2005,Z,1,0),"^",4)_" images)"
+ . D CHK^MAGGSQI(.QACHK,Z) Q:QACHK(0) 
+ . S CT=CT+1,MAGRY(CT)=" QA Warning - Group#: "_Z_" "_$P(QACHK(0),"^",2)
+ . Q
+ S SNGRP="FLDS"
+ I (+$O(^MAG(2005,IEN,1,0)))!($P(^MAG(2005,IEN,0),"^",6)=11)!($P(^MAG(2005,IEN,0),"^",6)=16) D
+ . S CT=CT+1,MAGRY(CT)=$P(^MAG(2005,IEN,0),"^",8)_" Group of "_+$P($G(^MAG(2005,IEN,1,0)),U,4)
+ . S SNGRP="FLDG"
+ . Q
+ K QACHK
+ D CHK^MAGGSQI(.QACHK,IEN) I 'QACHK(0) D
+ . S CT=CT+1,MAGRY(CT)=" QA Warning - Image#: "_IEN_" "_$P(QACHK(0),"^",2)
+ N MAGOUT,MAGERR,MAGVAL
+ S IENC=IEN_","
+ S FLAGS="EN"
+ S I=-1
+ F  S I=I+1,Z=$T(@SNGRP+I) Q:$P(Z,";",3)="end"  D
+ . S J=$P(Z,";",4),JI=J_";"
+ . K MAGOUT
+ . S CT=CT+1,MAGRY(CT)=$P(Z,";",3)
+ . I J=41 D  Q  ; Need to compute the Class.  Class field in Image File is wrong.
+ . . S MAGVAL=$S('T:"",'$D(^MAG(2005.83,T,0)):"",1:$P(^MAG(2005.82,$P(^MAG(2005.83,T,0),"^",2),0),"^",1))
+ . . S MAGRY(CT)=MAGRY(CT)_" "_MAGVAL
+ . . Q
+ . D GETS^DIQ(2005,IEN,JI,FLAGS,"MAGOUT","MAGERR")
+ . ; Get Extension from FileRef
+ . I J=1 S MAGVAL=$P($G(MAGOUT(2005,IENC,J,"E")),".",2)
+ . E  S MAGVAL=$G(MAGOUT(2005,IENC,J,"E"))
+ . S MAGRY(CT)=MAGRY(CT)_" "_MAGVAL
+ ; Compare Parent Association Date with Date/Time Note Signed.
+ I $P(^MAG(2005,IEN,0),"^",10) S IEN=$P(^MAG(2005,IEN,0),"^",10)
+ I $P(^MAG(2005,IEN,2),"^",6)=8925 S CT=CT+1,MAGRY(CT)=$$ATTSTAT^MAGGTU31(IEN)
+ Q
+ ;
+FLDS ;;Format:       ;3;;
+ ;;Extension:    ;1;;
+FLDG ;;Patient:      ;5;;
+ ;;Desc:         ;10;;
+ ;;Procedure:    ;6;;
+ ;;     Date:    ;15;;
+ ;;Class:        ;41;;
+ ;;Package:      ;40;;
+ ;;Type:         ;42;;
+ ;;Proc/Event:   ;43;;
+ ;;Spec/SubSpec: ;44;;
+ ;;Origin:       ;45;;
+ ;;Captured on:  ;7;;
+ ;;         by:  ;8;;
+ ;;end;;
